Get a list of all supported configuration element types
get
/rest/{version}/configuration/elementTypes
Retrieves a list of all the configuration element types supported by the target system. The name string returned for each type is the string the client must use in all other REST requests where element type must be supplied. The platform and entitlements affect some of the configuration element types that are available, so the response from one system may not be identical to the response received from a different system.
Request
Path Parameters
-
version(required):
REST API version string.
Available values: v1.2
Header Parameters
-
Authorization(required):
The value in the Authorization header must be the string "
Bearer {access token}", where{access token}is a valid, unexpired token received in response to a prior/rest/{version}/auth/tokenrequest.
Response
200 Response
The name and description of each configuration element type supported by the target system is returned in the data section of the response. The string returned as the "name" value must be used by the client in all requests where element type must be supplied. Configuration element types that are singletons are indicated by the elementType attribute single="true".
400 Response
The request is malformed in some way or is missing required information and therefore cannot be processed.
401 Response
Unauthorized - Request lacks valid authentication credentials.
404 Response
Unsupported versionId in URI.